Community
cancel
Showing results for 
Search instead for 
Did you mean: 
Altera_Forum
Honored Contributor I
1,112 Views

Altera DE10 command 'arm-angstrom-linux-gnueabi-gcc xfce' failed with exit status 4

Hello there, 

 

The thread is because we are developing a software, so we used in windows python and it worked perfect with the library PANDAS. The next step we have to do is to implement the programming in an ALTERA DE10 working with XFCE.  

 

So I am trying to install PANDAS library in my ALTERA DE10 working on XFCE. The issue is that shows up the troble described in title "Error: command 'arm-angstrom-linux-gnueabi-gcc xfce' failed with exit status 4". 

This is for work so I need urgent help in this subject, I will appreciate your help. 

The following lines are which appear in terminal: 

 

# warning "Using deprecated NumPy API, disable it by " ^~~~~~~ arm-angstrom-linux-gnueabi-gcc -march=armv7-a -mthumb -mfpu=neon -mfloat-abi=hard -shared -Wl,-O1 -Wl,--hash-style=gnu -Wl,--as-needed -fstack-protector-strong -Wl,-z,relro,-z,now build/temp.linux-armv7l-2.7/pandas/_libs/algos.o -L/usr/lib -lpython2.7 -o build/lib.linux-armv7l-2.7/pandas/_libs/algos.so cythoning pandas/_libs/join.pyx to pandas/_libs/join.c building 'pandas._libs.join' extension arm-angstrom-linux-gnueabi-gcc -march=armv7-a -mthumb -mfpu=neon -mfloat-abi=hard -fno-strict-aliasing -O2 -pipe -g -feliminate-unused-debug-types -fdebug-prefix-map=/data/de10-nano/release-build-2017.03.30/build/tmp-angstrom-glibc/work/armv7at2hf-neon-angstrom-linux-gnueabi/python/2.7.12-r1=/usr/src/debug/python/2.7.12-r1 -fdebug-prefix-map=/data/de10-nano/release-build-2017.03.30/build/tmp-angstrom-glibc/sysroots/x86_64-linux= -fdebug-prefix-map=/data/de10-nano/release-build-2017.03.30/build/tmp-angstrom-glibc/sysroots/de10-nano= -fstack-protector-strong -D_FORTIFY_SOURCE=2 -Wformat -Wformat-security -Werror=format-security -DNDEBUG -g -O3 -Wall -Wstrict-prototypes -fPIC -Ipandas/_libs/src/klib -Ipandas/_libs/src -I/usr/lib/python2.7/site-packages/numpy/core/include -I/usr/include/python2.7 -c pandas/_libs/join.c -o build/temp.linux-armv7l-2.7/pandas/_libs/join.o -Wno-unused-function In file included from /usr/lib/python2.7/site-packages/numpy/core/include/numpy/ndarraytypes.h:1816:0, from /usr/lib/python2.7/site-packages/numpy/core/include/numpy/ndarrayobject.h:18, from /usr/lib/python2.7/site-packages/numpy/core/include/numpy/arrayobject.h:4, from pandas/_libs/join.c:567: /usr/lib/python2.7/site-packages/numpy/core/include/numpy/npy_1_7_deprecated_api.h:15:2: warning:# warning "Using deprecated NumPy API, disable it by " "#defining NPY_NO_DEPRECATED_API NPY_1_7_API_VERSION" # warning "Using deprecated NumPy API, disable it by " ^~~~~~~ {standard input}: Assembler messages: {standard input}:61063: Warning: end of file not at end of a line; newline inserted {standard input}: Error: open CFI at the end of file; missing .cfi_endproc directive arm-angstrom-linux-gnueabi-gcc: internal compiler error: Killed (program cc1) Please submit a full bug report, with preprocessed source if appropriate. See <http://gcc.gnu.org/bugs.html> for instructions. error: command 'arm-angstrom-linux-gnueabi-gcc' failed with exit status 4 ---------------------------------------- Command "/usr/bin/python -u -c "import setuptools, tokenize;__file__='/tmp/pip-install-3qRlh4/pandas/setup.py';f=getattr(tokenize, 'open', open)(__file__);code=f.read().replace('\r\n', '\n');f.close();exec(compile(code, __file__, 'exec'))" install --record /tmp/pip-record-sgruoK/install-record.txt --single-version-externally-managed --compile" failed with error code 1 in /tmp/pip-install-3qRlh4/pandas/ root@de10-nano:/$  

0 Kudos
1 Reply
Altera_Forum
Honored Contributor I
113 Views

It looks like a compiler bug, unfortunately it won't be easy to fix. See if you can upgrade the compiler to a newer version.

Reply